Subject: Re: bug#33653: 27.0.50; Change Gnus obarrays-as-hash-tables into real hash tables

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 12 Apr 2019 08:56:07 +0900

On Thu, 11 Apr 2019 22:29:23 +0100, Basil L. Contovounesios wrote:
> While looking at bug#35208 and bug#35233, I spotted one more place in
> gnus-group.el which sets the gnus-group text property to the group's
> active info instead of its name, namely in
> gnus-group-prepare-flat-list-dead.

I see this fix is necessary:

(add-text-properties
 (the_beginning_of_each_group_line)
 (list 'gnus-group (gethash group gnus-active-hashtb)
↓
(add-text-properties
 (the_beginning_of_each_group_line)
 (list 'gnus-group group

> Is the attached patch, which includes some extra cleanup, okay to push?

No problem I think.  Please push the patch.

Thanks.